library(magrittr)
library(tidyverse)
library(readxl)
library(stringr)

setwd(dirname(rstudioapi::getActiveDocumentContext()$path))
getwd()

roster <- read_excel("classRoster_20212_GE_461_001.xls") %>% 
  mutate(fullname = paste(`First Name`, `Last Name`))

d <- list.dirs() %>% 
  as_tibble_col() %>% 
  slice(-c(1:2)) %>% 
  mutate(fullname = str_extract(value, "(?<=\\./).*?(?=_)")) %>% 
  left_join(roster, by = "fullname") %>% 
  rename(BilkentID = `Bilkent ID`)

for (i in seq(nrow(d))) {
  args <- sprintf("\"%s\" ./%s", d$value[i], d$BilkentID[i]) 
  res <- system2("mv", args = args)
}

d <- list.files(pattern = "laptops.xlsx", recursive = TRUE) %>% 
  as_tibble_col("path") %>% 
  mutate(content = map(path, ~{
    d <- read_excel(.x)
    inst <- d$Instructions
    d %>% 
      arrange(Alternative) %>% 
      mutate(Alternative = aa) %>% 
      arrange(aa) %>% 
      mutate(Instructions = inst)}))
         
d$content[[1]]

for( i in 1:nrow(d)){
  writexl::write_xlsx(d$content[[i]], path = d$path[i], )
}




